Name:           python-pyeclib
Version:        1.0.7
Release:        2%{?dist}
Summary:        Python interface to erasure codes

License:        BSD
URL:            https://bitbucket.org/kmgreen2/pyeclib/
# Bitbucket's naming is like the old github (== awful), so we pull
# the tag using git CLI. Save the current command for Source0 below.
#  git archive -o ../pyeclib-1.0.7.tar.gz --prefix=pyeclib-1.0.7/ v1.0.7m
# N.B.: That '-m' suffix is temporary. Tushar says that tags without
# the '-m' include liberasurecode, so that Jenkins can work. Pure magic.
Source0:        pyeclib-%{version}.tar.gz
Patch1:         pyeclib-1.0.7-fixups.patch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  liberasurecode-devel >= 1.0.7

Requires:       liberasurecode >= 1.0.7

%description
This library provides a simple Python interface for implementing erasure
codes. A number of back-end implementations is supported either directly
or through the C interface liberasurecode.


%prep
%setup -q -n pyeclib-%{version}
%patch1 -p1


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%license License.txt
%doc README
%{_libdir}/python2*/site-packages/*
# There is no __python2_sitearch on F21
#{__python_sitearch}/*


%changelog
* Tue Apr 21 2015 Pete Zaitcev <zaitcev@redhat.com> 1.0.7-2
- Correct the reported version from 1.0.5 to 1.0.7
- Address Haikel's comments (#1212148)
- Add BuildRequires: python-setuptools

* Wed Apr 15 2015 Pete Zaitcev <zaitcev@redhat.com> 1.0.7-1
- Update to upstream 1.0.7 (asked by Swift with EC and follow-up fixups)

* Thu Apr 02 2015 Pete Zaitcev <zaitcev@redhat.com> 1.0.6-1
- Initial release
